Page MenuHomePhabricator

Commons Special:UploadWizard no longer extracts time from EXIF data
Closed, ResolvedPublic

Description

Following an apparent change to [[Special:UploadWizard]], the wizard no longer extracts the time of a photograph from the EXIF data even if this is available, only the date. Why was this change made? I thought it was useful for the time to be indicated.

Event Timeline

Jacklee created this task.Aug 22 2015, 7:38 PM
Jacklee raised the priority of this task from to Low.
Jacklee updated the task description. (Show Details)
Jacklee added a project: Commons.
Jacklee added subscribers: Aklapper, Steinsplitter, Jacklee.
SJu set Security to None.
Restricted Application added a project: Multimedia. · View Herald TranscriptAug 22 2015, 9:54 PM
zhuyifei1999 moved this task from Incoming to Uploading on the Commons board.Aug 23 2015, 2:35 AM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 23 2015, 2:35 AM
Steinsplitter raised the priority of this task from Low to High.Aug 23 2015, 7:24 AM
Aklapper raised the priority of this task from High to Needs Triage.Aug 23 2015, 6:13 PM

Following an apparent change to [[Special:UploadWizard]], the wizard no longer extracts the time of a photograph from the EXIF data even if this is available, only the date.

Does that happen with all uploads? Any idea since when?
Links to testcases highly welcome (as with every reported bug).

Looks like it was intentional - 42840fc0ba1fcc0c663

Aklapper raised the priority of this task from "High" to "Needs Triage".

Isn't it high prio for WMF? -sigh-

Isn't it high prio for WMF? -sigh-

Priorities are general and not "for WMF" only or such. (Not sure I understand why WMF is mentioned at all here.)

And it's impossible to say which priority this task should have until @matmarex comments about his intentions. So I reset priority to "Needs Triage" as I currently don't see (yet) how this is urgent to fix.
If there are specific reasons why this is a urgent issue, please provide these reasons. Thanks for your help!

As I mentioned on 42840fc0ba1fcc0c663, we were importing the time inconsistently depending on the source, and the times that we were importing were almost always incorrect (ignoring timezone information). I read through the documentation of Template:Information before making the change and it doesn't say that time is in any way useful (although it does say that including it is allowed), it's all about the date.

@Jacklee, do you think this is important information to include? When is it needed?

Jdforrester-WMF triaged this task as Low priority.Aug 24 2015, 2:46 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

I'm afraid I don't follow the logic. If the EXIF time can sometimes be wrong, why not the date as well? For example, if my camera is set to Singapore time (GMT+8) and then I travel to the UK (assume GMT) and do not reset the time, if it is 8:00 pm on 25 August in the UK, the camera will indicate that it is 4:00 am on 26 August in Singapore. Thus, the date is incorrect. There is no reason to assume that the date will always be correct but not the time.

It seems to me the solution is to give the uploader the option of indicating whether or not the EXIF date and time should be used, or some other date and time, as we can assume the uploaded knows whether the EXIF information is right.

At any given time, approximately half of the time zones have the same day, while only approximately 4% have the same time. So the day is likely to be correct, unlike the time.

We already give the user that option. The only difference is that you're arguing that the time is useful to pass to the {{information}} template, and by extension it is useful to extract out of EXIF, while I'm arguing that it's not. I'd like to know why it is useful.

I'm not sure what you mean by "We already give the user that option" – how does a user opt to use some other date and time, or select the EXIF date and time? I tried manually entering times into the field but these were ignored.

Why isn't it useful to have the time a photograph was taken if this is known by the uploader to be correct? It can show, for example, whether a photograph is of a sunrise or a sunset, or whether it was taken in the morning or in the afternoon. The time can also be useful to pinpoint when in the course of a day an event happened, in the case of photographs of occurrences.

Steinsplitter added a comment.EditedAug 25 2015, 2:07 PM
This comment has been deleted.

@Steinsplitter: Please see the previous comments for explanations. If you have specific questions or would like to discuss specific argumentation aspects, please reply to specific sections (e.g. by quoting them). Thanks.

This comment was deleted, but I wish to respond: (I receive email notifications for everything and thus have a copy)

Do we need write bot for this now?

Probably not. I'm willing to accept your judgment as an expert in this matter, even if I disagree with it, as frankly I don't find the difference here critically important. As long as you're not a dick. :)

Why you remove useful functions?

As I mentioned on 42840fc0ba1fcc0c663 and again in T109953#1567094, the feature is slightly broken, I did not find it useful, and the documentation that I checked does not specify why it would be useful. @Jacklee's comments here provide some rationale (unlike yours), so I'm going to restore what we had previously.

(To expand on "documentation does not specify why it would be useful" and in reply to Jacklee's T109953#1569186: I was under the impression that the date is included in {{Information}} mostly for copyright-related purposes. It seems that I was wrong. I'd appreciate if someone clarified the documentation for occasional Commons editors, like me :) )

Change 233748 had a related patch set uploaded (by Bartosz Dziewoński):
Revert "Never import the time of creation from anywhere, only the date"

https://gerrit.wikimedia.org/r/233748

This seems to have been done without the consensus of the editing (and image uploading) community. Please restore the import of time from EXIF, ASAP. Even if it is wrong, such data is useful for sequencing sets of images correctly, where image names do not facilitate this (perhaps Task T109589 is related?) It has always been editable.

MarkTraceur added a subscriber: MarkTraceur.EditedAug 26 2015, 4:36 PM

We are merging the patch to fix this now. It will be on Commons within the next week or so. I'm not going to put this in SWAT because, while it's a useful feature, I don't see any reason to rush the fix out.

@Pigsonthewing we were under the impression that there was somewhat broken code with very little benefit, so we removed it. That's not a matter of consensus, it's a matter of dealing with technical debt, or at least it was at the time before we got feedback that it was an important feature. I stand by MatmaRex's patch, and my +2. If we needed to get consensus for every little cleanup patch for UploadWizard, nothing would ever get done.

Change 233748 merged by jenkins-bot:
Revert "Never import the time of creation from anywhere, only the date"

https://gerrit.wikimedia.org/r/233748

@Steinsplitter, @Pigsonthewing, as you know all the development is done in the open at Gerrit https://gerrit.wikimedia.org/, and you can comment on the proposed changes before they happen. In fact, we'd prefer that to having to revert or amend the changes afterwards. :)

matmarex closed this task as Resolved.Aug 26 2015, 7:27 PM
matmarex claimed this task.

The fix will be deployed to Commons on Wednesday, 02 September 2015, per the roadmap.

Jdforrester-WMF moved this task from Untriaged to Done on the Multimedia board.Sep 15 2015, 3:21 PM